NetBSD Problem Report #41822

From www@NetBSD.org  Wed Aug  5 09:13:48 2009
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [204.152.190.11])
	by www.NetBSD.org (Postfix) with ESMTP id 6082563BD7C
	for <gnats-bugs@gnats.netbsd.org>; Wed,  5 Aug 2009 09:13:48 +0000 (UTC)
Message-Id: <20090805091348.2E81D63B879@www.NetBSD.org>
Date: Wed,  5 Aug 2009 09:13:48 +0000 (UTC)
From: pkgsrc@blackmouse.biz
Reply-To: pkgsrc@blackmouse.biz
To: gnats-bugs@NetBSD.org
Subject: net/powerdns-recursor build problem
X-Send-Pr-Version: www-1.0

>Number:         41822
>Category:       pkg
>Synopsis:       net/powerdns-recursor build problem
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Aug 05 09:15:00 +0000 2009
>Last-Modified:  Tue Aug 18 04:55:01 +0000 2009
>Originator:     Ondrej Tuma
>Release:        current
>Organization:
Blackmouse
>Environment:
Linux upadate 2.6.24.2 #4 Fri Sep 26 15:35:47 CEST 2008 i686 athlon-4 i386 GNU/Linux

>Description:
===> Creating toolchain wrappers for pdns-recursor-3.1.7
===> Configuring for pdns-recursor-3.1.7
===> Building for pdns-recursor-3.1.7
Makefile:54: Extraneous text after `else' directive
Makefile:57: *** only one `else' per conditional.  Stop.
*** Error code 2

Stop.
bmake: stopped in /usr/pkgsrc/net/powerdns-recursor
*** Error code 1

Stop.
bmake: stopped in /usr/pkgsrc/net/powerdns-recursor

full log is here:
http://update.webjet.cz/pkgstat/20090804.1423/net/powerdns-recursor/.broken.html
>How-To-Repeat:
bmake build
>Fix:

>Audit-Trail:
From: "OBATA Akio" <obache@netbsd.org>
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/41822: net/powerdns-recursor build problem
Date: Tue, 18 Aug 2009 13:50:30 +0900

 On Wed, 05 Aug 2009 18:15:00 +0900, <pkgsrc@blackmouse.biz> wrote:

 > Makefile:54: Extraneous text after `else' directive
 > Makefile:57: *** only one `else' per conditional.  Stop.
 > *** Error code 2

 Probably, your gmake is too old.
 Could you update your gmake in base or switch to use pkgsrc's one?

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.